%define version 2.0.2
%define release %mkrel 3

%define major	1
%define api_version 2.0

%define pkgname		libgnomecanvasmm
%define name		%{pkgname}%{api_version}
%define libname		%mklibname gnomecanvasmm %api_version %{major}

Summary: 	A C++ interface for GNOME 2 canvas library
Name:	 	%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group:   	System/Libraries
URL:     	http://gtkmm.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{pkgname}/%{api_version}/%{pkgname}-%{version}.tar.bz2
Patch0:		libgnomecanvasmm-2.0.2-gcc34.patch.bz2

BuildRequires:	gtkmm2.0-devel >= 2.2.5
BuildRequires:	libgnomecanvas2-devel
BuildRequires:	doxygen
BuildRequires:	automake1.4

%description
This package provides a C++ interface for gnomecanvas2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create GNOME GUIs with GTK+'s flexible object-oriented 
framework.

%package	-n %{libname}
Summary:	A C++ interface for GNOME 2 canvas library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This package provides a C++ interface for gnomecanvas2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create GNOME GUIs with GTK+'s flexible object-oriented 
framework.

%package	-n %{libname}-devel
Summary:	Headers and development files of GNOME 2 canvas library
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description	-n %{libname}-devel
This package contains the headers and various development files needed
for compiling or development of applications that wants C++ interface
of GNOME 2 canvas library.

%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Books/Other

%description	doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .gcc34
libtoolize --copy --force
aclocal-1.4 -I scripts
autoconf
automake-1.4

%build
%configure2_5x --enable-static
%make 

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%doc docs/reference/html


%changelog
* Sat Jul 07 2007 Götz Waschk <waschk@mandriva.org> 2.0.2-3mdv2008.0
+ Revision: 49509
- Import libgnomecanvasmm2.0



* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.2-3
- rebuild for png
- %%mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.0.2-2mdk
- yearly rebuild

* Fri Nov 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- rediff patch 0
- drop patch 1
- New release 2.0.2

* Fri Oct  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.1-7mdk
- maintainer hasn't merged from 10.0-branch:
  - fix mklibname
  - fix broken built-in libtool 1.5

* Thu Jun 10 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-6mdk
- Patch0: fix build with g++ 3.4

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-5mdk
- Rebuild
- Split documentation

* Mon Feb 09 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-4mdk
- Fix BuildRequires

* Fri Sep 05 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-3mdk
- Replace my changelog with Austin's
- Add missing BuildRequires

* Fri Sep 05 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-2mdk
- Provides basic package name as well

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 2.0.1-1mdk
- 2.0.1
- don't use configure macro
- try to revert to standard name
- adopt Abel's changes (build doc, build static lib)

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.0.0-2mdk
- Build static library as well
- Spec file rename to libgnomecanvasmm2.0
- Misc spec file tweaks
- Provides/Obsoletes gnomecanvasmm2.0{,-devel} is unnecessary since
  nothing requires them
- Build docs

* Sun Apr 6 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- initial package
